Skip to content
Snippets Groups Projects
configure 739 KiB
Newer Older
  • Learn to ignore specific revisions
  • 	 { ac_try='test -s conftest.$ac_objext'
      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
      (eval $ac_try) 2>&5
      ac_status=$?
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
      (exit $ac_status); }; }; then
      ac_compiler_gnu=yes
    else
      echo "$as_me: failed program was:" >&5
    sed 's/^/| /' conftest.$ac_ext >&5
    
    
    rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
    ac_cv_cxx_compiler_gnu=$ac_compiler_gnu
    
    fi
    
    { echo "$as_me:$LINENO: result: $ac_cv_cxx_compiler_gnu" >&5
    echo "${ECHO_T}$ac_cv_cxx_compiler_gnu" >&6; }
    
    GXX=`test $ac_compiler_gnu = yes && echo yes`
    ac_test_CXXFLAGS=${CXXFLAGS+set}
    ac_save_CXXFLAGS=$CXXFLAGS
    
    { echo "$as_me:$LINENO: checking whether $CXX accepts -g" >&5
    echo $ECHO_N "checking whether $CXX accepts -g... $ECHO_C" >&6; }
    
    if test "${ac_cv_prog_cxx_g+set}" = set; then
      echo $ECHO_N "(cached) $ECHO_C" >&6
    else
    
      ac_save_cxx_werror_flag=$ac_cxx_werror_flag
       ac_cxx_werror_flag=yes
       ac_cv_prog_cxx_g=no
       CXXFLAGS="-g"
       cat >conftest.$ac_ext <<_ACEOF
    
    /* confdefs.h.  */
    _ACEOF
    cat confdefs.h >>conftest.$ac_ext
    cat >>conftest.$ac_ext <<_ACEOF
    /* end confdefs.h.  */
    
    int
    main ()
    {
    
      ;
      return 0;
    }
    _ACEOF
    rm -f conftest.$ac_objext
    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
      (eval $ac_compile) 2>conftest.er1
      ac_status=$?
      grep -v '^ *+' conftest.er1 >conftest.err
      rm -f conftest.er1
      cat conftest.err >&5
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
      (exit $ac_status); } &&
    
    	 { ac_try='test -z "$ac_cxx_werror_flag"			 || test ! -s conftest.err'
    
      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
      (eval $ac_try) 2>&5
      ac_status=$?
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
      (exit $ac_status); }; } &&
    	 { ac_try='test -s conftest.$ac_objext'
      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
      (eval $ac_try) 2>&5
      ac_status=$?
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
      (exit $ac_status); }; }; then
      ac_cv_prog_cxx_g=yes
    else
      echo "$as_me: failed program was:" >&5
    sed 's/^/| /' conftest.$ac_ext >&5
    
    
    	CXXFLAGS=""
          cat >conftest.$ac_ext <<_ACEOF
    
    /* confdefs.h.  */
    _ACEOF
    cat confdefs.h >>conftest.$ac_ext
    cat >>conftest.$ac_ext <<_ACEOF
    /* end confdefs.h.  */
    
      ;
      return 0;
    }
    _ACEOF
    rm -f conftest.$ac_objext
    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
      (eval $ac_compile) 2>conftest.er1
      ac_status=$?
      grep -v '^ *+' conftest.er1 >conftest.err
      rm -f conftest.er1
      cat conftest.err >&5
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
      (exit $ac_status); } &&
    
    	 { ac_try='test -z "$ac_cxx_werror_flag"			 || test ! -s conftest.err'
    
      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
      (eval $ac_try) 2>&5
      ac_status=$?
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
      (exit $ac_status); }; } &&
    	 { ac_try='test -s conftest.$ac_objext'
      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
      (eval $ac_try) 2>&5
      ac_status=$?
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
      (exit $ac_status); }; }; then
      :
    else
      echo "$as_me: failed program was:" >&5
    sed 's/^/| /' conftest.$ac_ext >&5
    
    
    	ac_cxx_werror_flag=$ac_save_cxx_werror_flag
    	 CXXFLAGS="-g"
    	 cat >conftest.$ac_ext <<_ACEOF
    
    /* confdefs.h.  */
    _ACEOF
    cat confdefs.h >>conftest.$ac_ext
    cat >>conftest.$ac_ext <<_ACEOF
    /* end confdefs.h.  */
    
      ;
      return 0;
    }
    _ACEOF
    rm -f conftest.$ac_objext
    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
      (eval $ac_compile) 2>conftest.er1
      ac_status=$?
      grep -v '^ *+' conftest.er1 >conftest.err
      rm -f conftest.er1
      cat conftest.err >&5
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
      (exit $ac_status); } &&
    
    	 { ac_try='test -z "$ac_cxx_werror_flag"			 || test ! -s conftest.err'
    
      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
      (eval $ac_try) 2>&5
      ac_status=$?
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
      (exit $ac_status); }; } &&
    	 { ac_try='test -s conftest.$ac_objext'
      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
      (eval $ac_try) 2>&5
      ac_status=$?
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
      (exit $ac_status); }; }; then
    
    else
      echo "$as_me: failed program was:" >&5
    sed 's/^/| /' conftest.$ac_ext >&5
    
    
    
    rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
    fi
    
    
    rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
    fi
    
    
    rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
       ac_cxx_werror_flag=$ac_save_cxx_werror_flag
    fi
    { echo "$as_me:$LINENO: result: $ac_cv_prog_cxx_g" >&5
    echo "${ECHO_T}$ac_cv_prog_cxx_g" >&6; }
    if test "$ac_test_CXXFLAGS" = set; then
      CXXFLAGS=$ac_save_CXXFLAGS
    elif test $ac_cv_prog_cxx_g = yes; then
      if test "$GXX" = yes; then
        CXXFLAGS="-g -O2"
      else
        CXXFLAGS="-g"
      fi
    else
      if test "$GXX" = yes; then
        CXXFLAGS="-O2"
      else
        CXXFLAGS=
      fi
    fi
    
    ac_ext=c
    ac_cpp='$CPP $CPPFLAGS'
    ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
    ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    ac_compiler_gnu=$ac_cv_c_compiler_gnu
    
    ac_ext=c
    ac_cpp='$CPP $CPPFLAGS'
    ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
    ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    ac_compiler_gnu=$ac_cv_c_compiler_gnu
    
    { echo "$as_me:$LINENO: checking how to run the C preprocessor" >&5
    echo $ECHO_N "checking how to run the C preprocessor... $ECHO_C" >&6; }
    
    # On Suns, sometimes $CPP names a directory.
    if test -n "$CPP" && test -d "$CPP"; then
      CPP=
    fi
    if test -z "$CPP"; then
      if test "${ac_cv_prog_CPP+set}" = set; then
      echo $ECHO_N "(cached) $ECHO_C" >&6
    else
          # Double quotes because CPP needs to be expanded
        for CPP in "$CC -E" "$CC -E -traditional-cpp" "/lib/cpp"
        do
          ac_preproc_ok=false
    for ac_c_preproc_warn_flag in '' yes
    do
      # Use a header file that comes with gcc, so configuring glibc
      # with a fresh cross-compiler works.
      # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
      # <limits.h> exists even on freestanding compilers.
      # On the NeXT, cc -E runs the code through the compiler's parser,
      # not just through cpp. "Syntax error" is here to catch this case.
      cat >conftest.$ac_ext <<_ACEOF
    /* confdefs.h.  */
    _ACEOF
    cat confdefs.h >>conftest.$ac_ext
    cat >>conftest.$ac_ext <<_ACEOF
    /* end confdefs.h.  */
    #ifdef __STDC__
    # include <limits.h>
    #else
    # include <assert.h>
    #endif
    		     Syntax error
    _ACEOF
    if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
      (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
      ac_status=$?
      grep -v '^ *+' conftest.er1 >conftest.err
      rm -f conftest.er1
      cat conftest.err >&5
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
      (exit $ac_status); } >/dev/null; then
      if test -s conftest.err; then
        ac_cpp_err=$ac_c_preproc_warn_flag
        ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
      else
        ac_cpp_err=
      fi
    else
      ac_cpp_err=yes
    fi
    if test -z "$ac_cpp_err"; then
      :
    else
      echo "$as_me: failed program was:" >&5
    sed 's/^/| /' conftest.$ac_ext >&5
    
      # Broken: fails on valid input.
    continue
    fi
    
    rm -f conftest.err conftest.$ac_ext
    
    
      # OK, works on sane cases.  Now check whether nonexistent headers
    
      # can be detected and how.
      cat >conftest.$ac_ext <<_ACEOF
    /* confdefs.h.  */
    _ACEOF
    cat confdefs.h >>conftest.$ac_ext
    cat >>conftest.$ac_ext <<_ACEOF
    /* end confdefs.h.  */
    #include <ac_nonexistent.h>
    _ACEOF
    if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
      (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
      ac_status=$?
      grep -v '^ *+' conftest.er1 >conftest.err
      rm -f conftest.er1
      cat conftest.err >&5
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
      (exit $ac_status); } >/dev/null; then
      if test -s conftest.err; then
        ac_cpp_err=$ac_c_preproc_warn_flag
        ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
      else
        ac_cpp_err=
      fi
    else
      ac_cpp_err=yes
    fi
    if test -z "$ac_cpp_err"; then
      # Broken: success on invalid input.
    continue
    else
      echo "$as_me: failed program was:" >&5
    sed 's/^/| /' conftest.$ac_ext >&5
    
      # Passes both tests.
    ac_preproc_ok=:
    break
    fi
    
    rm -f conftest.err conftest.$ac_ext
    
    done
    # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
    rm -f conftest.err conftest.$ac_ext
    if $ac_preproc_ok; then
      break
    fi
    
        done
        ac_cv_prog_CPP=$CPP
    
    fi
      CPP=$ac_cv_prog_CPP
    else
      ac_cv_prog_CPP=$CPP
    fi
    
    { echo "$as_me:$LINENO: result: $CPP" >&5
    echo "${ECHO_T}$CPP" >&6; }
    
    ac_preproc_ok=false
    for ac_c_preproc_warn_flag in '' yes
    do
      # Use a header file that comes with gcc, so configuring glibc
      # with a fresh cross-compiler works.
      # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
      # <limits.h> exists even on freestanding compilers.
      # On the NeXT, cc -E runs the code through the compiler's parser,
      # not just through cpp. "Syntax error" is here to catch this case.
      cat >conftest.$ac_ext <<_ACEOF
    /* confdefs.h.  */
    _ACEOF
    cat confdefs.h >>conftest.$ac_ext
    cat >>conftest.$ac_ext <<_ACEOF
    /* end confdefs.h.  */
    #ifdef __STDC__
    # include <limits.h>
    #else
    # include <assert.h>
    #endif
    		     Syntax error
    _ACEOF
    if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
      (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
      ac_status=$?
      grep -v '^ *+' conftest.er1 >conftest.err
      rm -f conftest.er1
      cat conftest.err >&5
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
      (exit $ac_status); } >/dev/null; then
      if test -s conftest.err; then
        ac_cpp_err=$ac_c_preproc_warn_flag
        ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
      else
        ac_cpp_err=
      fi
    else
      ac_cpp_err=yes
    fi
    if test -z "$ac_cpp_err"; then
      :
    else
      echo "$as_me: failed program was:" >&5
    sed 's/^/| /' conftest.$ac_ext >&5
    
      # Broken: fails on valid input.
    continue
    fi
    
    rm -f conftest.err conftest.$ac_ext
    
    
      # OK, works on sane cases.  Now check whether nonexistent headers
    
      # can be detected and how.
      cat >conftest.$ac_ext <<_ACEOF
    /* confdefs.h.  */
    _ACEOF
    cat confdefs.h >>conftest.$ac_ext
    cat >>conftest.$ac_ext <<_ACEOF
    /* end confdefs.h.  */
    #include <ac_nonexistent.h>
    _ACEOF
    if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
      (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
      ac_status=$?
      grep -v '^ *+' conftest.er1 >conftest.err
      rm -f conftest.er1
      cat conftest.err >&5
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
      (exit $ac_status); } >/dev/null; then
      if test -s conftest.err; then
        ac_cpp_err=$ac_c_preproc_warn_flag
        ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
      else
        ac_cpp_err=
      fi
    else
      ac_cpp_err=yes
    fi
    if test -z "$ac_cpp_err"; then
      # Broken: success on invalid input.
    continue
    else
      echo "$as_me: failed program was:" >&5
    sed 's/^/| /' conftest.$ac_ext >&5
    
      # Passes both tests.
    ac_preproc_ok=:
    break
    fi
    
    rm -f conftest.err conftest.$ac_ext
    
    done
    # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
    rm -f conftest.err conftest.$ac_ext
    if $ac_preproc_ok; then
      :
    else
      { { echo "$as_me:$LINENO: error: C preprocessor \"$CPP\" fails sanity check
    See \`config.log' for more details." >&5
    echo "$as_me: error: C preprocessor \"$CPP\" fails sanity check
    See \`config.log' for more details." >&2;}
       { (exit 1); exit 1; }; }
    fi
    
    ac_ext=c
    ac_cpp='$CPP $CPPFLAGS'
    ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
    ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    ac_compiler_gnu=$ac_cv_c_compiler_gnu
    
    
    ac_cpp='$CXXCPP $CPPFLAGS'
    ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
    ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
    
    { echo "$as_me:$LINENO: checking how to run the C++ preprocessor" >&5
    echo $ECHO_N "checking how to run the C++ preprocessor... $ECHO_C" >&6; }
    
    if test -z "$CXXCPP"; then
      if test "${ac_cv_prog_CXXCPP+set}" = set; then
      echo $ECHO_N "(cached) $ECHO_C" >&6
    else
          # Double quotes because CXXCPP needs to be expanded
        for CXXCPP in "$CXX -E" "/lib/cpp"
        do
          ac_preproc_ok=false
    for ac_cxx_preproc_warn_flag in '' yes
    do
      # Use a header file that comes with gcc, so configuring glibc
      # with a fresh cross-compiler works.
      # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
      # <limits.h> exists even on freestanding compilers.
      # On the NeXT, cc -E runs the code through the compiler's parser,
      # not just through cpp. "Syntax error" is here to catch this case.
      cat >conftest.$ac_ext <<_ACEOF
    /* confdefs.h.  */
    _ACEOF
    cat confdefs.h >>conftest.$ac_ext
    cat >>conftest.$ac_ext <<_ACEOF
    /* end confdefs.h.  */
    #ifdef __STDC__
    # include <limits.h>
    #else
    # include <assert.h>
    #endif
    		     Syntax error
    _ACEOF
    if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
      (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
      ac_status=$?
      grep -v '^ *+' conftest.er1 >conftest.err
      rm -f conftest.er1
      cat conftest.err >&5
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
      (exit $ac_status); } >/dev/null; then
      if test -s conftest.err; then
        ac_cpp_err=$ac_cxx_preproc_warn_flag
        ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
      else
        ac_cpp_err=
      fi
    else
      ac_cpp_err=yes
    fi
    if test -z "$ac_cpp_err"; then
      :
    else
      echo "$as_me: failed program was:" >&5
    sed 's/^/| /' conftest.$ac_ext >&5
    
      # Broken: fails on valid input.
    continue
    fi
    
    rm -f conftest.err conftest.$ac_ext
    
    
      # OK, works on sane cases.  Now check whether nonexistent headers
    
      # can be detected and how.
      cat >conftest.$ac_ext <<_ACEOF
    /* confdefs.h.  */
    _ACEOF
    cat confdefs.h >>conftest.$ac_ext
    cat >>conftest.$ac_ext <<_ACEOF
    /* end confdefs.h.  */
    #include <ac_nonexistent.h>
    _ACEOF
    if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
      (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
      ac_status=$?
      grep -v '^ *+' conftest.er1 >conftest.err
      rm -f conftest.er1
      cat conftest.err >&5
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
      (exit $ac_status); } >/dev/null; then
      if test -s conftest.err; then
        ac_cpp_err=$ac_cxx_preproc_warn_flag
        ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
      else
        ac_cpp_err=
      fi
    else
      ac_cpp_err=yes
    fi
    if test -z "$ac_cpp_err"; then
      # Broken: success on invalid input.
    continue
    else
      echo "$as_me: failed program was:" >&5
    sed 's/^/| /' conftest.$ac_ext >&5
    
      # Passes both tests.
    ac_preproc_ok=:
    break
    fi
    
    rm -f conftest.err conftest.$ac_ext
    
    done
    # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
    rm -f conftest.err conftest.$ac_ext
    if $ac_preproc_ok; then
      break
    fi
    
        done
        ac_cv_prog_CXXCPP=$CXXCPP
    
    fi
      CXXCPP=$ac_cv_prog_CXXCPP
    else
      ac_cv_prog_CXXCPP=$CXXCPP
    fi
    
    { echo "$as_me:$LINENO: result: $CXXCPP" >&5
    echo "${ECHO_T}$CXXCPP" >&6; }
    
    ac_preproc_ok=false
    for ac_cxx_preproc_warn_flag in '' yes
    do
      # Use a header file that comes with gcc, so configuring glibc
      # with a fresh cross-compiler works.
      # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
      # <limits.h> exists even on freestanding compilers.
      # On the NeXT, cc -E runs the code through the compiler's parser,
      # not just through cpp. "Syntax error" is here to catch this case.
      cat >conftest.$ac_ext <<_ACEOF
    /* confdefs.h.  */
    _ACEOF
    cat confdefs.h >>conftest.$ac_ext
    cat >>conftest.$ac_ext <<_ACEOF
    /* end confdefs.h.  */
    #ifdef __STDC__
    # include <limits.h>
    #else
    # include <assert.h>
    #endif
    		     Syntax error
    _ACEOF
    if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
      (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
      ac_status=$?
      grep -v '^ *+' conftest.er1 >conftest.err
      rm -f conftest.er1
      cat conftest.err >&5
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
      (exit $ac_status); } >/dev/null; then
      if test -s conftest.err; then
        ac_cpp_err=$ac_cxx_preproc_warn_flag
        ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
      else
        ac_cpp_err=
      fi
    else
      ac_cpp_err=yes
    fi
    if test -z "$ac_cpp_err"; then
      :
    else
      echo "$as_me: failed program was:" >&5
    sed 's/^/| /' conftest.$ac_ext >&5
    
      # Broken: fails on valid input.
    continue
    fi
    
    rm -f conftest.err conftest.$ac_ext
    
    
      # OK, works on sane cases.  Now check whether nonexistent headers
    
      # can be detected and how.
      cat >conftest.$ac_ext <<_ACEOF
    /* confdefs.h.  */
    _ACEOF
    cat confdefs.h >>conftest.$ac_ext
    cat >>conftest.$ac_ext <<_ACEOF
    /* end confdefs.h.  */
    #include <ac_nonexistent.h>
    _ACEOF
    if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
      (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
      ac_status=$?
      grep -v '^ *+' conftest.er1 >conftest.err
      rm -f conftest.er1
      cat conftest.err >&5
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
      (exit $ac_status); } >/dev/null; then
      if test -s conftest.err; then
        ac_cpp_err=$ac_cxx_preproc_warn_flag
        ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
      else
        ac_cpp_err=
      fi
    else
      ac_cpp_err=yes
    fi
    if test -z "$ac_cpp_err"; then
      # Broken: success on invalid input.
    continue
    else
      echo "$as_me: failed program was:" >&5
    sed 's/^/| /' conftest.$ac_ext >&5
    
      # Passes both tests.
    ac_preproc_ok=:
    break
    fi
    
    rm -f conftest.err conftest.$ac_ext
    
    done
    # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
    rm -f conftest.err conftest.$ac_ext
    if $ac_preproc_ok; then
      :
    else
      { { echo "$as_me:$LINENO: error: C++ preprocessor \"$CXXCPP\" fails sanity check
    See \`config.log' for more details." >&5
    echo "$as_me: error: C++ preprocessor \"$CXXCPP\" fails sanity check
    See \`config.log' for more details." >&2;}
       { (exit 1); exit 1; }; }
    fi
    
    ac_ext=c
    ac_cpp='$CPP $CPPFLAGS'
    ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
    ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    ac_compiler_gnu=$ac_cv_c_compiler_gnu
    
    for ac_prog in gawk mawk nawk awk
    do
      # Extract the first word of "$ac_prog", so it can be a program name with args.
    set dummy $ac_prog; ac_word=$2
    
    { echo "$as_me:$LINENO: checking for $ac_word" >&5
    echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
    
    if test "${ac_cv_prog_AWK+set}" = set; then
      echo $ECHO_N "(cached) $ECHO_C" >&6
    else
      if test -n "$AWK"; then
      ac_cv_prog_AWK="$AWK" # Let the user override the test.
    else
    as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
    for as_dir in $PATH
    do
      IFS=$as_save_IFS
      test -z "$as_dir" && as_dir=.
      for ac_exec_ext in '' $ac_executable_extensions; do
    
      if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; }; then
    
        ac_cv_prog_AWK="$ac_prog"
        echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
        break 2
      fi
    done
    done
    
    
    fi
    fi
    AWK=$ac_cv_prog_AWK
    if test -n "$AWK"; then
    
      { echo "$as_me:$LINENO: result: $AWK" >&5
    echo "${ECHO_T}$AWK" >&6; }
    
      { echo "$as_me:$LINENO: result: no" >&5
    echo "${ECHO_T}no" >&6; }
    
      test -n "$AWK" && break
    done
    
    # Find a good install program.  We prefer a C program (faster),
    # so one script is as good as another.  But avoid the broken or
    # incompatible versions:
    # SysV /etc/install, /usr/sbin/install
    # SunOS /usr/etc/install
    # IRIX /sbin/install
    # AIX /bin/install
    # AmigaOS /C/install, which installs bootblocks on floppy discs
    # AIX 4 /usr/bin/installbsd, which doesn't work without a -g flag
    # AFS /usr/afsws/bin/install, which mishandles nonexistent args
    # SVR4 /usr/ucb/install, which tries to use the nonexistent group "staff"
    # OS/2's system install, which has a completely different semantic
    # ./install, which can be erroneously created by make from ./install.sh.
    
    { echo "$as_me:$LINENO: checking for a BSD-compatible install" >&5
    echo $ECHO_N "checking for a BSD-compatible install... $ECHO_C" >&6; }
    
    if test -z "$INSTALL"; then
    if test "${ac_cv_path_install+set}" = set; then
      echo $ECHO_N "(cached) $ECHO_C" >&6
    else
      as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
    for as_dir in $PATH
    do
      IFS=$as_save_IFS
      test -z "$as_dir" && as_dir=.
      # Account for people who put trailing slashes in PATH elements.
    case $as_dir/ in
      ./ | .// | /cC/* | \
      /etc/* | /usr/sbin/* | /usr/etc/* | /sbin/* | /usr/afsws/bin/* | \
      ?:\\/os2\\/install\\/* | ?:\\/OS2\\/INSTALL\\/* | \
      /usr/ucb/* ) ;;
      *)
        # OSF1 and SCO ODT 3.0 have their own names for install.
        # Don't use installbsd from OSF since it installs stuff as root
        # by default.
        for ac_prog in ginstall scoinst install; do
          for ac_exec_ext in '' $ac_executable_extensions; do
    
    	if { test -f "$as_dir/$ac_prog$ac_exec_ext" && $as_executable_p "$as_dir/$ac_prog$ac_exec_ext"; }; then
    
    	  if test $ac_prog = install &&
    	    grep dspmsg "$as_dir/$ac_prog$ac_exec_ext" >/dev/null 2>&1; then
    	    # AIX install.  It has an incompatible calling convention.
    	    :
    	  elif test $ac_prog = install &&
    	    grep pwplus "$as_dir/$ac_prog$ac_exec_ext" >/dev/null 2>&1; then
    	    # program-specific install script used by HP pwplus--don't use.
    	    :
    	  else
    	    ac_cv_path_install="$as_dir/$ac_prog$ac_exec_ext -c"
    	    break 3
    	  fi
    	fi
          done
        done
        ;;
    esac
    done
    
    
    
    fi
      if test "${ac_cv_path_install+set}" = set; then
        INSTALL=$ac_cv_path_install
      else
    
        # As a last resort, use the slow shell script.  Don't cache a
        # value for INSTALL within a source directory, because that will
    
        # break other packages using the cache if that directory is
    
        # removed, or if the value is a relative name.
    
    { echo "$as_me:$LINENO: result: $INSTALL" >&5
    echo "${ECHO_T}$INSTALL" >&6; }
    
    
    # Use test -z because SunOS4 sh mishandles braces in ${var-val}.
    # It thinks the first close brace ends the variable substitution.
    test -z "$INSTALL_PROGRAM" && INSTALL_PROGRAM='${INSTALL}'
    
    test -z "$INSTALL_SCRIPT" && INSTALL_SCRIPT='${INSTALL}'
    
    test -z "$INSTALL_DATA" && INSTALL_DATA='${INSTALL} -m 644'
    
    
    { echo "$as_me:$LINENO: checking whether ln -s works" >&5
    echo $ECHO_N "checking whether ln -s works... $ECHO_C" >&6; }
    
    LN_S=$as_ln_s
    if test "$LN_S" = "ln -s"; then
    
      { echo "$as_me:$LINENO: result: yes" >&5
    echo "${ECHO_T}yes" >&6; }
    
      { echo "$as_me:$LINENO: result: no, using $LN_S" >&5
    echo "${ECHO_T}no, using $LN_S" >&6; }
    
    fi
    
    if test -n "$ac_tool_prefix"; then
      # Extract the first word of "${ac_tool_prefix}ranlib", so it can be a program name with args.
    set dummy ${ac_tool_prefix}ranlib; ac_word=$2
    
    { echo "$as_me:$LINENO: checking for $ac_word" >&5
    echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
    
    if test "${ac_cv_prog_RANLIB+set}" = set; then
      echo $ECHO_N "(cached) $ECHO_C" >&6
    else
      if test -n "$RANLIB"; then
      ac_cv_prog_RANLIB="$RANLIB" # Let the user override the test.
    else
    as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
    for as_dir in $PATH
    do
      IFS=$as_save_IFS
      test -z "$as_dir" && as_dir=.
      for ac_exec_ext in '' $ac_executable_extensions; do
    
      if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; }; then
    
        ac_cv_prog_RANLIB="${ac_tool_prefix}ranlib"
        echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
        break 2
      fi
    done
    done
    
    
    fi
    fi
    RANLIB=$ac_cv_prog_RANLIB
    if test -n "$RANLIB"; then
    
      { echo "$as_me:$LINENO: result: $RANLIB" >&5
    echo "${ECHO_T}$RANLIB" >&6; }
    
      { echo "$as_me:$LINENO: result: no" >&5
    echo "${ECHO_T}no" >&6; }
    
    fi
    if test -z "$ac_cv_prog_RANLIB"; then
      ac_ct_RANLIB=$RANLIB
      # Extract the first word of "ranlib", so it can be a program name with args.
    set dummy ranlib; ac_word=$2
    
    { echo "$as_me:$LINENO: checking for $ac_word" >&5
    echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
    
    if test "${ac_cv_prog_ac_ct_RANLIB+set}" = set; then
      echo $ECHO_N "(cached) $ECHO_C" >&6
    else
      if test -n "$ac_ct_RANLIB"; then
      ac_cv_prog_ac_ct_RANLIB="$ac_ct_RANLIB" # Let the user override the test.
    else
    as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
    for as_dir in $PATH
    do
      IFS=$as_save_IFS
      test -z "$as_dir" && as_dir=.
      for ac_exec_ext in '' $ac_executable_extensions; do
    
      if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; }; then
    
        ac_cv_prog_ac_ct_RANLIB="ranlib"
        echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
        break 2
      fi
    done
    done
    
    
    fi
    fi
    ac_ct_RANLIB=$ac_cv_prog_ac_ct_RANLIB
    if test -n "$ac_ct_RANLIB"; then
    
      { echo "$as_me:$LINENO: result: $ac_ct_RANLIB" >&5
    echo "${ECHO_T}$ac_ct_RANLIB" >&6; }
    
      { echo "$as_me:$LINENO: result: no" >&5
    echo "${ECHO_T}no" >&6; }
    
      if test "x$ac_ct_RANLIB" = x; then
        RANLIB=":"
      else
        case $cross_compiling:$ac_tool_warned in
    yes:)
    { echo "$as_me:$LINENO: WARNING: In the future, Autoconf will not detect cross-tools
    whose name does not start with the host triplet.  If you think this
    configuration is useful to you, please write to autoconf@gnu.org." >&5
    echo "$as_me: WARNING: In the future, Autoconf will not detect cross-tools
    whose name does not start with the host triplet.  If you think this
    configuration is useful to you, please write to autoconf@gnu.org." >&2;}
    ac_tool_warned=yes ;;
    esac
        RANLIB=$ac_ct_RANLIB
      fi
    
    { echo "$as_me:$LINENO: checking for GNU make" >&5
    echo $ECHO_N "checking for GNU make... $ECHO_C" >&6; }
    
    if test "${GNU_MAKE+set}" = set; then
      echo $ECHO_N "(cached) $ECHO_C" >&6
    else
      GNU_MAKE='Not Found' ;
       for a in make gmake gnumake ; do
          if test -z "$a" ; then continue ; fi ;
          if ( sh -c "$a --version" 2> /dev/null | grep GNU  2>&1 > /dev/null ) ;  then
             GNU_MAKE=$a ;
             break;
          fi
       done ;
    
    fi
    
    { echo "$as_me:$LINENO: result: $GNU_MAKE" >&5
    echo "${ECHO_T}$GNU_MAKE" >&6; } ;
    
    if test  "x$GNU_MAKE" = "xNot Found"  ; then
       echo " *** Please install GNU make.  It is required to build Asterisk!"
       exit 1
    fi
    
    
    
    # Extract the first word of "grep", so it can be a program name with args.
    set dummy grep; ac_word=$2
    
    { echo "$as_me:$LINENO: checking for $ac_word" >&5
    echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
    
    if test "${ac_cv_path_GREP+set}" = set; then
      echo $ECHO_N "(cached) $ECHO_C" >&6
    else
      case $GREP in
      [\\/]* | ?:[\\/]*)
      ac_cv_path_GREP="$GREP" # Let the user override the test with a path.
      ;;
      *)
      as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
    for as_dir in $PATH
    do
      IFS=$as_save_IFS
      test -z "$as_dir" && as_dir=.
      for ac_exec_ext in '' $ac_executable_extensions; do
    
      if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; }; then
    
        ac_cv_path_GREP="$as_dir/$ac_word$ac_exec_ext"
        echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
        break 2
      fi
    done
    done
    
    
      test -z "$ac_cv_path_GREP" && ac_cv_path_GREP=":"
      ;;
    esac
    fi
    GREP=$ac_cv_path_GREP
    if test -n "$GREP"; then
    
      { echo "$as_me:$LINENO: result: $GREP" >&5
    echo "${ECHO_T}$GREP" >&6; }
    
      { echo "$as_me:$LINENO: result: no" >&5
    echo "${ECHO_T}no" >&6; }
    
    # Extract the first word of "ar", so it can be a program name with args.
    set dummy ar; ac_word=$2
    
    { echo "$as_me:$LINENO: checking for $ac_word" >&5
    echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
    
    if test "${ac_cv_path_AR+set}" = set; then
      echo $ECHO_N "(cached) $ECHO_C" >&6
    else
      case $AR in
      [\\/]* | ?:[\\/]*)
      ac_cv_path_AR="$AR" # Let the user override the test with a path.
      ;;
      *)
      as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
    for as_dir in $PATH
    do
      IFS=$as_save_IFS
      test -z "$as_dir" && as_dir=.
      for ac_exec_ext in '' $ac_executable_extensions; do
    
      if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; }; then
    
        ac_cv_path_AR="$as_dir/$ac_word$ac_exec_ext"
        echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
        break 2
      fi
    done
    done
    
    
      test -z "$ac_cv_path_AR" && ac_cv_path_AR=":"
      ;;
    esac
    fi
    AR=$ac_cv_path_AR
    if test -n "$AR"; then
    
      { echo "$as_me:$LINENO: result: $AR" >&5
    echo "${ECHO_T}$AR" >&6; }
    
      { echo "$as_me:$LINENO: result: no" >&5
    echo "${ECHO_T}no" >&6; }